[PC-BSD Commits] r2552 - pbibuild/pbi-source/PBCsource

svn at pcbsd.org svn at pcbsd.org
Thu Aug 7 11:55:54 PDT 2008


Author: kris
Date: 2008-08-07 11:55:54 -0700 (Thu, 07 Aug 2008)
New Revision: 2552

Modified:
   pbibuild/pbi-source/PBCsource/addpbimime.sh
Log:

Fixed a bug creating mime types for PBI files when we are missing the ";" flag between extensions



Modified: pbibuild/pbi-source/PBCsource/addpbimime.sh
===================================================================
--- pbibuild/pbi-source/PBCsource/addpbimime.sh	2008-08-07 18:30:16 UTC (rev 2551)
+++ pbibuild/pbi-source/PBCsource/addpbimime.sh	2008-08-07 18:55:54 UTC (rev 2552)
@@ -21,6 +21,12 @@
    #echo "Found: ${EXTENSIONS[${i}]}"
  fi
 
+ echo ${EXTLIST} | grep ';' >/dev/null 2>/dev/null
+ if [ "$?" != "0" ]
+ then
+   break 
+ fi
+
  i="`expr ${i} + 1`"
 done
 



More information about the Commits mailing list